


local origBrain = AIBrain

AIBrain = Class(origBrain ) {


	OnSpawnPreBuiltUnits = function(self)
        local factionIndex = self:GetFactionIndex()
        local resourceStructures = nil
        local initialUnits = nil
        local posX, posY = self:GetArmyStartPos()

        if factionIndex == 1 then
			resourceStructures = { 'UEB1202', 'UEB1202','UEB1202', 'UEB1202', 'UEB1201'  }
			initialUnits = {  'UEB0301', 'UEB0302', 'UEB1201', 'UEL0309', 'UEL0309', 'UEL0309' }
        elseif factionIndex == 2 then
			resourceStructures = { 'UAB1202', 'UAB1202', 'UAB1202', 'UAB1202', 'UAB1201'  }
			initialUnits = { 'UAB0301', 'UAB0302', 'UAB1201', 'UAL0309', 'UAL0309', 'UAL0309' }
        elseif factionIndex == 3 then
			resourceStructures = { 'URB1202', 'URB1202','URB1202', 'URB1202', 'URB1201'}
			initialUnits = { 'URB0301', 'URB0302' , 'URB1201', 'URL0309', 'URL0309', 'URL0309' }
	elseif factionIndex == 4 then
			resourceStructures = { 'XSB1302', 'XSB1302','XSB1302', 'XSB1302', 'XSB1201'}
			initialUnits = { 'XSB0301', 'XSB0302' , 'XSB1201', 'XSL0309', 'XSL0309', 'XSL0309' }
        end

        if resourceStructures then
    		# place resource structures down
    		for k, v in resourceStructures do
    			self:CreateResourceBuildingNearest(v, posX, posY)
    		end
    	end

		if initialUnits then
    		# place initial units down
    		for k, v in initialUnits do
    			self:CreateUnitNearSpot(v, posX, posY)
    		end
    	end

		self.PreBuilt = true

	end,

}

